<?php
  global $i18n, $id, $url, $parent;
?>
<script type="text/javascript">
  // <![CDATA[
<?php
  $pages = return_i18n_pages();
  $structure = return_i18n_page_structure(null,false,$url);
  $siblings = $pages[''.$parent]['children'];
  $myindex = array_search($url, $siblings);
  $after = $myindex !== false && $myindex > 0 ? $siblings[$myindex-1] : '';
?>
  var after = <?php echo json_encode($after); ?>;
  function changeParent() {
    $parent = $('#post-parent').val();
<?php
  $firstoption = '<option value="0">-- '.$i18n['i18n/TOP'].' --</option>';
  $page = $pages[null];
  if (isset($page['children']) && count($page['children']) > 0) {
    $children = $page['children'];
    $options = '';
    for ($i=0; $i<count($children); $i++) {
      if ($children[$i] != $url) $options .= '<option value="'.$children[$i].'">'.$pages[$children[$i]]['title'].'</option>';
    }
?>
    if ($parent == null || $parent == '') {
       $('#post-menu-order').empty().html(<?php echo json_encode($firstoption.$options); ?>);
<?php
  }
  foreach ($structure as $page) {
    $page = $pages[$page['url']];
    if (isset($page['children']) && count($page['children']) > 0) {
      $children = $page['children'];
      $options = '';
      for ($i=0; $i<count($children); $i++) {
        if ($children[$i] != $url) $options .= '<option value="'.$children[$i].'">'.$pages[$children[$i]]['title'].'</option>';
      }
?>
    } else if ($parent == <?php echo json_encode($page['url']); ?>) {
       $('#post-menu-order').empty().html(<?php echo json_encode($firstoption.$options); ?>);
<?php
    }
  }
?>
    } else {
       $('#post-menu-order').empty().html(<?php echo json_encode($firstoption); ?>);
    } 
    $('#post-menu-order').val(after);     
  }
  function changeUrl() {
    var url = $('#post-id').val();
    if (url.indexOf('_') >= 0) {
      $('#post-parent').closest('tr').attr('style','display:none');
      $('#post-private').closest('td').children().attr('style','display:none');
      //$('#post-menu-enable').attr('style','display:none');
      $('#post-menu').nextAll().attr('style','display:none');
    } else {
      $('#post-parent').closest('tr').attr('style',null);
      $('#post-private').closest('td').children().attr('style',null);
      //$('#post-menu-enable').attr('style',null);
      $('#post-menu').nextAll().attr('style',null);
    }
  }
  $(function() {
    $fParent = $('#post-parent');
    $fParent.empty();
    $fParent.append(<?php echo json_encode('<option value="" '.($parent == null ? 'selected' : '').'>-- '.$i18n['NONE'].' --</option>'); ?>);
<?php
  foreach ($structure as $page) {
?>
    $fParent.append(<?php echo json_encode('<option value="'.$page['url'].'" '.($parent == $page['url'] ? 'selected' : '').'>'.($page['level'] > 0 ? str_repeat("&nbsp;",5*$page['level']-2).'&lfloor;&nbsp;' : '').cl($page['title']).'</option>'); ?>);
<?php
  }
?>
    $a = $('#post-menu-enable').closest('td').find('a');
    $a.after($a.html());
    $a.remove();
    $('#post-menu').closest('div').find('span').empty().html(<?php echo json_encode($i18n['MENU_TEXT']); ?>);
    $('#post-menu').attr('style','').after(<?php echo json_encode('<br /><span>'.$i18n['i18n/INSERT_AFTER'].'</span>'); ?>);
    $('#post-menu-order').attr('style','').before('<br />');
    $('#post-parent').change(changeParent);
    $('#post-id').change(changeUrl);
    changeParent();
    changeUrl();
  });
  // ]]>
</script>
